INTERFACE
SUBROUTINE CO2_TCMR&
 & ( KDLEN , KLEN , KDCOUNT, KCOUNT,&
 & PPRESH, PPRESF, PSOLEL,&
 & YDGEMSPROF,&
 & PCO2MEAN ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KDCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLEL(KDLEN)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCO2MEAN(KDLEN,KDCOUNT)
END SUBROUTINE CO2_TCMR
END INTERFACE
